<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
	xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
	xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups"
	>
	<h:outputStylesheet library="css" name="extraction/#{css}" />
	<f:loadBundle var="datesStep" basename="org.inra.ecoinfo.glacpe.extraction.jsf.panels.datesStep"></f:loadBundle>
	<f:param name="panelNumber"></f:param>
	
	<a4j:jsFunction name="renderForm" execute="@this,panelChoiceDate,parametersRequest,step4Valid, nextStepButton"
		render="parametersRequest,step4Valid,messageWarningStep4, nextStepButton" limitRender="true">
	</a4j:jsFunction>
	
	<a4j:jsFunction name="selectChoiceDate" execute="@this,panelChoiceDate,parametersRequest,step4Valid, nextStepButton"
		render="panelChoiceDate,parametersRequest,step4Valid,messageWarningStep4, nextStepButton" limitRender="true">
		<a4j:param name="param1" assignTo="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection}" />
	</a4j:jsFunction>

	<a4j:jsFunction name="updateDateYearContinuous" execute="@this" render="parametersRequest,step4Valid,messageWarningStep4, nextStepButton"
		action="#{uiBean.parametersRequest.datesRequestParam.updateDateYearContinuous}" limitRender="true">
		<a4j:param name="param1" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.index}" />
		<a4j:param name="param2" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.key}" />
		<a4j:param name="param3" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.value}" />
	</a4j:jsFunction>

	<a4j:jsFunction name="updateNonPeriodsYearsContinuous" execute="@this" render="parametersRequest,step4Valid,messageWarningStep4, nextStepButton"
		action="#{uiBean.parametersRequest.datesRequestParam.updateNonPeriodsYearsContinuous}" limitRender="true" >
		<a4j:param name="param1" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.index}" />
		<a4j:param name="param2" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.key}" />
		<a4j:param name="param3" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.value}" />
	</a4j:jsFunction>

	<a4j:jsFunction name="updateDatesYearsRange" execute="@this" render="parametersRequest,step4Valid,messageWarningStep4, nextStepButton"
		action="#{uiBean.parametersRequest.datesRequestParam.updateDatesYearsRange}" limitRender="true">
		<a4j:param name="param1" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.index}" />
		<a4j:param name="param2" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.key}" />
		<a4j:param name="param3" assignTo="#{uiBean.parametersRequest.datesRequestParam.helperForm.value}" />
	</a4j:jsFunction>
	<h:panelGroup id="messageWarningStep4">
		<h:outputText value="#{datesStep.PROPERTY_MSG_CHOOSE_DATE}"
			rendered="#{not uiBean.parametersRequest.dateStepIsValid}" styleClass="selectionEmpty" />
	</h:panelGroup>

	<h:panelGroup id="panelChoiceDate">
		<h:panelGroup layout="block" styleClass="buttonRadioAndLabel">
			<input type="radio" name="choiceDate" id="rangeAllDate" onchange="selectChoiceDate('DatesYearsContinuousFormParam')"
				checked="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'?'checked':''}" 
				onmouseout="if(this.checked)$(this).parent().find(':input[type=text]').first().focus();"/>
			<label for="rangeAllDate">
			<h:outputText value="#{datesStep.PROPERTY_MSG_PERIOD_CHOICE}" /> </label>

			<h:panelGroup layout="block"
				styleClass="wrapper indent #{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'?'':'disabled'}">
				
				<ui:param name="periods" value="#{uiBean.parametersRequest.datesRequestParam.datesYearsContinuousFormParam.periods}" />
				<c:forEach items="#{periods}" var="period" varStatus="status">
					<h:panelGroup layout="block" styleClass="wrapper">
						<h:inputText value="#{period['start']}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsContinuousFormParam'}"
							onkeyup="if(this.value.length==10)updateDateYearContinuous(#{status.index},'start',this.value)"
							onchange="if(this.value.length==10)updateDateYearContinuous(#{status.index},'start',this.value)"
							/>

						<h:inputText value="#{period['end']}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsContinuousFormParam'}"
							onkeyup="if(this.value.length==10)updateDateYearContinuous(#{status.index},'end',this.value)" 
							onchange="if(this.value.length==10)updateDateYearContinuous(#{status.index},'end',this.value)" />


						<a4j:commandLink							
							rendered="#{status.index == 0}"
							execute="@this,panelChoiceDate,parametersRequest" 
							render="@this,panelChoiceDate,parametersRequest"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsContinuousFormParam'}"
							action="#{uiBean.parametersRequest.datesRequestParam.addPeriodYearsContinuous}"
							limitRender="true">
							<h:graphicImage name="add_ok.png" library="images" />
							<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
								<h:outputText value="#{datesStep.PROPERTY_MSG_NEW_PERIOD}" />
							</rich:tooltip>
						</a4j:commandLink>
						<a4j:commandLink							
							rendered="#{status.index == 0}"
							execute="@this,panelChoiceDate,parametersRequest" 
							render="@this,panelChoiceDate,parametersRequest"
							action="#{uiBean.parametersRequest.datesRequestParam.removePeriodYearsContinuous}" 
							limitRender="true">
							<h:graphicImage name="remove_ok.png" library="images" />
							<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
								<h:outputText value="#{datesStep.PROPERTY_MSG_DELETE_PERIOD}" />
							</rich:tooltip>
						</a4j:commandLink>
					</h:panelGroup>
				</c:forEach>
			</h:panelGroup>
		</h:panelGroup>
		<h:panelGroup layout="block" styleClass="buttonRadioAndLabel">
			<input type="radio" name="choiceDate" id="rangeIntervalDate" onchange="selectChoiceDate('DatesYearsDiscretsFormParam')"
				checked="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsDiscretsFormParam' or uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsRangeFormParam'?'checked':''}" 
				onmouseout="if(this.checked)$(this).parent().find(':input[type=text]').first().focus();"/>
			<label for="rangeIntervalDate"><h:outputText value="#{datesStep.PROPERTY_MSG_INTERVAL_CHOICE}" /> </label>


			<h:panelGroup layout="block"
				styleClass="wrapper indent #{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'?'disabled':''}">
				<c:forEach items="#{uiBean.parametersRequest.datesRequestParam.nonPeriodsYearsContinuous}" var="period" varStatus="status">
					<h:panelGroup layout="block" styleClass="wrapper">
						<h:inputText value="#{period['start']}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'}"
							onkeyup="if(this.value.length==5)updateNonPeriodsYearsContinuous(#{status.index},'start',this.value);"
							onchange="if(this.value.length==5)updateNonPeriodsYearsContinuous(#{status.index},'start',this.value);" />


						<h:inputText value="#{period['end']}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'}"
							onkeyup="if(this.value.length==5)updateNonPeriodsYearsContinuous(#{status.index},'end',this.value)"
							onchange="if(this.value.length==5)updateNonPeriodsYearsContinuous(#{status.index},'end',this.value)" />

						<a4j:commandLink execute="@this,panelChoiceDate,parametersRequest" render="@this,panelChoiceDate,parametersRequest"
							rendered="#{status.index == 0}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'}"
							action="#{uiBean.parametersRequest.datesRequestParam.addNonPeriodsYearsContinuous}"
							limitRender="true">
							<h:graphicImage name="add_ok.png" library="images" />
							<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
								<h:outputText value="#{datesStep.PROPERTY_MSG_NEW_PERIOD}" />
							</rich:tooltip>
						</a4j:commandLink>

						<a4j:commandLink execute="@this,panelChoiceDate,parametersRequest" render="@this,panelChoiceDate,parametersRequest"
							rendered="#{status.index == 0}"
							disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'}"
							action="#{uiBean.parametersRequest.datesRequestParam.removeNonPeriodsYearsContinuous}"
							limitRender="true">
							<h:graphicImage name="remove_ok.png" library="images" />
							<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
								<h:outputText value="#{datesStep.PROPERTY_MSG_DELETE_PERIOD}" />
							</rich:tooltip>
						</a4j:commandLink>
					</h:panelGroup>
				</c:forEach>
			</h:panelGroup>
		</h:panelGroup>

		<h:panelGroup layout="block" styleClass="buttonRadioAndLabel indent ">

			<input type="radio" name="choiceTypeInterval" id="intervalDiscretDate" onchange="selectChoiceDate('DatesYearsDiscretsFormParam')"
				checked="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsDiscretsFormParam'?'checked':''}"  
				onmouseout="if(this.checked)$(this).parent().find(':input[type=text]').first().focus();"/>
			<label for="intervalDiscretDate"
				class="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'?'disabled':''}"><h:outputText
					value="#{datesStep.PROPERTY_MSG_YEAR_CHOICE}" /> </label>

			<h:panelGroup layout="block"
				styleClass="wrapper #{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsDiscretsFormParam'?'':'disabled'}">
				<h:inputText value="#{uiBean.parametersRequest.datesRequestParam.datesYearsDiscretsFormParam.years}"
					disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsDiscretsFormParam'}"
					onkeyup="if(this.value.match(/([0-9]{4},? *)+/))renderForm();" 
					onchange="if(this.value.match(/([0-9]{4},? *)+/))renderForm();" execute="panelChoiceDate,parametersRequest"  limitRender="true">
				</h:inputText>
			</h:panelGroup>

			<h:panelGroup layout="block" styleClass="wrapper ">
				<input type="radio" name="choiceTypeInterval" id="intervalRangeDate" onchange="selectChoiceDate('DatesYearsRangeFormParam')"
					checked="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsRangeFormParam'?'checked':''}"  
				onmouseout="if(this.checked)$(this).parent().find(':input[type=text]').first().focus();"/>
				<label for="intervalRangeDate"
					class="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsContinuousFormParam'?'disabled':''}"><h:outputText
						value="#{datesStep.PROPERTY_MSG_YEAR_PERIOD_CHOICE}" /> </label>
				<h:panelGroup layout="block"
					styleClass="wrapper indent #{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == 'DatesYearsRangeFormParam'?'':'disabled'}">
					<c:forEach items="#{uiBean.parametersRequest.datesRequestParam.datesYearsRangeFormParam.years}" var="periodYears" varStatus="status">
						<h:panelGroup layout="block" styleClass="wrapper">
							<h:inputText value="#{periodYears['start']}"
								disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsRangeFormParam'}"
								onkeyup="if(this.value.length==4)updateDatesYearsRange(#{status.index},'start',this.value);"
								onchange="if(this.value.length==4)updateDatesYearsRange(#{status.index},'start',this.value);" />
							<h:inputText value="#{periodYears['end']}"
								disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsRangeFormParam'}"
								onkeyup="if(this.value.length==4)updateDatesYearsRange(#{status.index},'end',this.value)"
								onchange="if(this.value.length==4)updateDatesYearsRange(#{status.index},'end',this.value)" />
								
							<a4j:commandLink execute="@this,panelChoiceDate,parametersRequest" render="@this,panelChoiceDate,parametersRequest"
								rendered="#{status.index == 0}"
								disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsRangeFormParam'}"
								action="#{uiBean.parametersRequest.datesRequestParam.addPeriodsYearsRange}"
								limitRender="true">
								<h:graphicImage name="add_ok.png" library="images" />
								<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
									<h:outputText value="#{datesStep.PROPERTY_MSG_NEW_PERIOD}" />
								</rich:tooltip>
							</a4j:commandLink>
							<a4j:commandLink execute="@this,panelChoiceDate,parametersRequest" render="@this,panelChoiceDate,parametersRequest"
								rendered="#{status.index == 0}"
								disabled="#{uiBean.parametersRequest.datesRequestParam.selectedFormSelection == null or uiBean.parametersRequest.datesRequestParam.selectedFormSelection != 'DatesYearsRangeFormParam'}"
								action="#{uiBean.parametersRequest.datesRequestParam.removePeriodsYearsRange}"
								limitRender="true">
								<h:graphicImage name="remove_ok.png" library="images" />
								<rich:tooltip styleClass="tooltip" layout="block" showDelay="0">
									<h:outputText value="#{datesStep.PROPERTY_MSG_DELETE_PERIOD}" />
								</rich:tooltip>
							</a4j:commandLink>
						</h:panelGroup>
					</c:forEach>
				</h:panelGroup>
			</h:panelGroup>
		</h:panelGroup>

	</h:panelGroup>
</html>